comedi_open
Prev | 5.4.1. Core Functions | Next

## Name

comedi_open — open a Comedi device

## Synopsis

    #include <comedilib.h>

`comedi_t * comedi_open(` | const char * filename`)`;

## Description

Open a Comedi device specified by the file filename.

## Return value

If successful, `comedi_open` returns a pointer to a valid comedi_t structure. This structure is opaque; the pointer should not be dereferenced by the application. `NULL` is returned on failure.

Prev | Up | Next
comedi_maxdata_is_chan_specific | Home | comedi_range_is_chan_specific